Cohorts
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
PATCH | |
GET | |
GET | |
GET | |
PATCH | |
GET | |
GET |
List all cohorts
Also available via the PostHog MCP server:
cohorts-list— List all cohorts
Required API key scopes
cohort:readQuery parameters
- basicboolean
- created_by_idinteger
- hide_behavioral_cohortsboolean
- limitinteger
- offsetinteger
- searchstring
- typestringOne of:
"dynamic""static"
Response
Example request
GET /api /projects /:project_id /cohortsExample response
Status 200
RESPONSE
Create cohorts
Also available via the PostHog MCP server:
cohorts-create— Create cohort
Required API key scopes
cohort:writeRequest parameters
- namestring | null
- descriptionstring
- groups
- deletedboolean
- filters
- query
- is_staticboolean
- cohort_type
- _create_in_folderstring
- _create_static_person_idsarrayDefault:
Response
Example request
POST /api /projects /:project_id /cohortsExample response
Status 201
RESPONSE
Retrieve cohorts
Also available via the PostHog MCP server:
cohorts-retrieve— Get cohort
Required API key scopes
cohort:readPath parameters
- idinteger
Response
Example request
GET /api /projects /:project_id /cohorts /:idExample response
Status 200
RESPONSE
Update cohorts
Also available via the PostHog MCP server:
cohorts-partial-update— Update cohort
Required API key scopes
cohort:writePath parameters
- idinteger
Request parameters
- namestring | null
- descriptionstring
- groups
- deletedboolean
- filters
- query
- is_staticboolean
- cohort_type
- _create_in_folderstring
- _create_static_person_idsarrayDefault:
Response
Example request
PATCH /api /projects /:project_id /cohorts /:idExample response
Status 200
RESPONSE
Delete cohorts
Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true
Required API key scopes
cohort:writePath parameters
- idinteger
Example request
DELETE /api /projects /:project_id /cohorts /:idExample response
Status 405 No response body
Retrieve cohorts activity
Required API key scopes
activity_log:readPath parameters
- idinteger
Query parameters
- limitintegerDefault:
10 - pageintegerDefault:
1
Response
Example request
GET /api /projects /:project_id /cohorts /:id /activityExample response
Status 200
RESPONSE
Status 404 No response body
Update cohorts add persons to static cohort
Also available via the PostHog MCP server:
cohorts-add-persons-to-static-cohort-partial-update— Add persons to static cohort
Required API key scopes
cohort:writePath parameters
- idinteger
Request parameters
- person_idsarray
Example request
PATCH /api /projects /:project_id /cohorts /:id /add_persons_to_static_cohortExample response
Status 200 No response body
Retrieve cohorts blocking workflows
Active workflows that block deleting this cohort or editing it so it stops updating in real time.
Required API key scopes
cohort:readPath parameters
- idinteger
Response
Example request
GET /api /projects /:project_id /cohorts /:id /blocking_workflowsExample response
Status 200
RESPONSE
Retrieve cohorts calculation history
Required API key scopes
cohort:readPath parameters
- idinteger
Example request
GET /api /projects /:project_id /cohorts /:id /calculation_historyExample response
Status 200 No response body
Retrieve cohorts persons
Required API key scopes
cohort:readperson:readPath parameters
- idinteger
Query parameters
- formatstringOne of:
"csv""json" - limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /cohorts /:id /personsExample response
Status 200
RESPONSE
Update cohorts remove person from static cohort
Required API key scopes
cohort:writePath parameters
- idinteger
Request parameters
- person_idstring
Example request
PATCH /api /projects /:project_id /cohorts /:id /remove_person_from_static_cohortExample response
Status 200 No response body
Retrieve cohorts used in
Required API key scopes
cohort:readPath parameters
- idinteger
Response
Example request
GET /api /projects /:project_id /cohorts /:id /used_inExample response
Status 200
RESPONSE
Retrieve cohorts all activity
Required API key scopes
activity_log:readExample request
GET /api /projects /:project_id /cohorts /activity




